# coding=ISO-8859-1
from enigma import *
from Plugins.Plugin import PluginDescriptor
from Plugins.Extensions.NoadService.NoadMenu import NoadMenu
from Components.config import config
#from Screens.MessageBox import MessageBox
#from Screens.Screen import Screen

import os
import gettext
try:
	cat = gettext.translation('lang', '/usr/lib/enigma2/python/Plugins/Extensions/NoadService/po', [config.osd.language.getText()])
	_ = cat.gettext
except IOError:
	pass

def main(session, **kwargs):
	session.open(NoadMenu)

def autostart(reason, **kwargs):
	pass
		
def Plugins(**kwargs):
	if (os.path.isdir("/usr/lib/enigma2/python/Plugins/Extensions/AladinsPluginContainer")):
		return [PluginDescriptor(where = [PluginDescriptor.WHERE_SESSIONSTART, PluginDescriptor.WHERE_AUTOSTART], fnc = autostart)]
	else:
		return [PluginDescriptor(name=_("Noad"), description=_("No advertising"), where = PluginDescriptor.WHERE_PLUGINMENU, fnc=main)]
