# coding=ISO-8859-1
#from Plugins.Plugin import PluginDescriptor
#from Screens.ChoiceBox import ChoiceBox
#from Screens.MessageBox import MessageBox
#from Screens.Standby import TryQuitMainloop
#import os
from Screens.Screen import Screen
from Components.ActionMap import ActionMap, NumberActionMap
from Components.MenuList import MenuList
from Plugins.Extensions.NoadService.NoadMovieSelection import NoadMovieSelection
from Plugins.Extensions.NoadService.NoadSetup import NoadSetup
from Components.config import config

#import os
import gettext
try:
	cat = gettext.translation('lang', '/usr/lib/enigma2/python/Plugins/Extensions/NoadService/po', [config.osd.language.getText()])
	_ = cat.gettext
except IOError:
	pass

class NoadMenu(Screen):

	def __init__(self,session):
		self.skin = """
        	<screen position="100,200" size="500,120" title="Noad" >
         		<widget name="menu" position="10,10" size="490,100" scrollbarMode="showOnDemand" />
	      	</screen>"""
		Screen.__init__(self, session)
		self.session = session
		menu = []
		menu.append((_("Noad setup"),"setup"))
		menu.append((_("Noad service configuration"),"service"))
        	self["menu"] = MenuList(menu)
        	self["actions"] = ActionMap(["WizardActions", "DirectionActions"],{"ok": self.go,"back": self.close,}, -1)

    	def go(self):
    		if self["menu"].l.getCurrentSelection() is not None:
        		choice = self["menu"].l.getCurrentSelection()[1]
			if choice == "setup":
				self.session.open(NoadSetup)
			elif choice == "service":
				self.session.open(NoadMovieSelection)
