# coding=ISO-8859-1
from Screens.Screen import Screen
from Components.Button import Button
from Components.ServiceList import ServiceList
from Components.ActionMap import ActionMap
from Plugins.Extensions.NoadService.QueueList import QueueList
from Components.DiskInfo import DiskInfo
from Components.Label import Label
from Components.PluginComponent import plugins
#from Plugins.Plugin import PluginDescriptor
from Components.config import config

from Screens.MessageBox import MessageBox
from Screens.FixedMenu import FixedMenu
from Screens.ChoiceBox import ChoiceBox

from Tools.Directories import *
from Tools.BoundFunction import boundFunction

from enigma import eServiceReference, eServiceCenter, eTimer

import gettext
try:
	cat = gettext.translation('lang', '/usr/lib/enigma2/python/Plugins/Extensions/NoadService/po', [config.osd.language.getText()])
	_ = cat.gettext
except IOError:
	pass

class Queue(Screen):

	def __init__(self, session):
		self.skin = """
		<screen name="Queue" position="90,78" size="1120,910" title="%s">
			<widget name="list" position="0,0" size="1120,890" zPosition="1" scrollbarMode="showOnDemand" />
		</screen>""" % _("State of the noad queue")
		Screen.__init__(self, session)
		
		#self["waitingtext"] = Label(_("Please wait... Loading list..."))
		
		self["list"] = QueueList()
		self.list = self["list"]
		
		self["key_red"] = Button("")
		self["key_green"] = Button("")
		self["key_yellow"] = Button("")
		self["key_blue"] = Button("")
		
		#self["freeDiskSpace"] = DiskInfo(resolveFilename(SCOPE_HDD), DiskInfo.FREE, update=False)
		
		self["actions"] = ActionMap(["OkCancelActions", "MovieSelectionActions", "ColorActions"],
			{
				"cancel": self.close,
				"ok": self.close,
				"showEventInfo": self.close,
				"contextMenu": self.close,
				
				"red": self.showAll,
				"green": self.showAll,
				"yellow": self.showAll,
				"blue": self.showAll,
			})
		self["actions"].csel = self
		#self.onShown.append(self.go)
		
	def showAll(self):
		pass
